Skip to main content
PATCH
/
end-users
/
{endUserId}
Update end user
curl --request PATCH \
  --url https://api.superglue.ai/v1/end-users/{endUserId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "externalId": "user-123",
  "email": "user@example.com",
  "name": "John Doe",
  "allowedSystems": [
    "*"
  ]
}
'
{
  "success": true,
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "externalId": "user-123",
    "email": "user@example.com",
    "name": "John Doe",
    "metadata": {},
    "allowedSystems": [
      "*"
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.superglue.cloud/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Static API key authentication using Bearer token scheme. Include your API key in the Authorization header: Authorization: Bearer YOUR_API_KEY

Alternatively, you can use the token query parameter to authenticate.

API keys can be generated in your superglue dashboard.

Path Parameters

endUserId
string<uuid>
required

Body

application/json
externalId
string

Your application's user ID

Example:

"user-123"

email
string<email>
Example:

"user@example.com"

name
string
Example:

"John Doe"

allowedSystems
string[]

Array of system IDs, or ["*"] for all systems

Example:
["*"]

Response

End user updated

success
boolean
data
object

An end user who can connect their own credentials to multi-tenancy systems.